<form [formGroup]="formGroup"   class="flex flex-col px-6 py-8 space-y-4 text-left">
  <div class="flex justify-center">
    <!-- <input type="file" id="img" class="hidden" (change)="imageSelect($event)" /> -->
    <label class="relative p-1" for="img">
      <ion-avatar class="w-16 h-16 overflow-hidden shadow-sm">
        <img alt="avatar" class="w-full h-full" [src]="formGroup.get('tempThumbnail')?.value ?? 'assets/images/avatar.png'" />
      </ion-avatar>
      <div (click)="imageUpload()" class="absolute bottom-0 right-0 flex items-center justify-center w-6 h-6 border border-white rounded-full bg-primary">
        <img src="assets/icons/camera.svg" alt="" />
      </div>
    </label>
  </div>
  <div>
    <p class="text-xs text-neutral40">이름</p>
    <app-input w="full"
    [message]="formGroup.get('username')?.value && formGroup.get('username')?.invalid ? '2~12자리 입력해주세요' : ''"
    [color]="formGroup.get('username')?.invalid ? 'error' : 'primary'">
    <input class="w-full p-2 border-b border-border" type="text" placeholder="이름" formControlName="username" />
    </app-input> 
  </div> 
  <div>
    <p class="text-xs text-neutral40">이메일</p>
    <app-input w="full"
    [message]="formGroup.get('email')?.value && formGroup.get('email')?.invalid ? '올바른 이메일 형식으로 입력해주세요' : ''"
    [color]="formGroup.get('email')?.invalid ? 'error' : 'primary'">
    <input readonly class="w-full p-2 border-b border-border" type="email" placeholder="이메일" formControlName="email" />
    </app-input>  
  </div>   
  <div class="flex justify-end w-full">
    @if(formGroup.invalid){
      <app-button class="px-4 !bg-gray-300 !border-none">저장</app-button> 
    }@else {
      <app-button class="px-4" (click)="onSubmit()">저장</app-button>  
    } 
  </div> 
</form>
